[Python-Dev] Distutils ML wrap-up: setup.cfg new format

Tarek Ziadé ziade.tarek at gmail.com
Tue Sep 22 20:06:55 CEST 2009

On Tue, Sep 22, 2009 at 4:02 PM, Chris Withers <chris at simplistix.co.uk> wrote:
>>    [setup:python_version == '2.4' or python_version == '2.5']
>>    requires: some_package
> As was brought up on the distutils list, this seems unnecessarily
> complicated.
> Other, simpler, solutions were proposed:
> http://mail.python.org/pipermail/distutils-sig/2009-September/013173.html
> http://mail.python.org/pipermail/distutils-sig/2009-September/013289.html
> However, you pronounced yourself bdfl(!):
> http://mail.python.org/pipermail/distutils-sig/2009-September/013318.html
> ...and decided to ignore them. Please don't do this over such an important
> matter.

Yes, for the syntax bikeshedding on how conditions should be expressed,
I have decided I'll be some kind of distutils dictator to end up the
endless discussions
on how they should be expressed so we can move on.


More information about the Python-Dev mailing list